EUKLEIDES(1)

NAME
eukleides - Eukleides interpreter to PostScript

SYNOPSIS
eukleides [OPTION...] FILE

DESCRIPTION
Eukleides is a computer language devoted to elementary plane geometry. It aims to be a fairly comprehensive system to create geometric figures, either static or dynamic. It allows one to handle geometric types of data like points, vectors, lines, circles, or conics.

The eukleides program is useful to convert Eukleides scripts into Encapsulated PostScript files. It may also interpret scripts using interactive variables to multi-page PostScript documents which can later be transformed into animated GIFs using for instance ImageMagick's convert(1).

OPTIONS

-l, --locale[=LANG]
    Use localized keywords. With no argument given, the current locale is set to the value of the LANG environment variable. Otherwise LANG has to be a valid locale identifier, e.g. 'fr_FR' or 'fr_FR.utf8', depending on the default charmap. This feature may be disabled.

-o, --output[=OUTPUTFILE]
    Set an output file name. With no argument given, the output stream is set to standard output.

-#, --interactive=STRING
    Modify interactive variables.

-a, --animate=STRING
    Animate interactive script.

-b, --batchmode[=DATAFILE]
    Don't stop for input. If given, use DATAFILE instead of standard input.

-v, --version
    Print version number and exit.

-h, --help
    Print immediate help and exit.

AUTHOR
Christian Obrecht <obrecht at eukleides dot org>.

SEE ALSO
Eukleides info pages for full documentation.
euktopst(1), euktoeps(1), euktotex(1), euktopdf(1).